# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Types | Public Member Functions

# vl::VLXVisitorLinker Class Reference

Substitutes IDs into VLXStructures using the provided link map. More...

`#include <VLXVisitorLinker.hpp>`

Inheritance diagram for vl::VLXVisitorLinker:

List of all members.

## Public Types

enum | EError { NoError, UnresolvedID }

## Public Member Functions

| VLXVisitorLinker (const std::map< std::string, ref< VLXStructure > > *map=NULL)
void | setLinkMap (const std::map< std::string, ref< VLXStructure > > *map)
VLXStructure * | link (const std::string &uid)
virtual void | visitStructure (VLXStructure *obj)
virtual void | visitList (VLXList *list)
virtual void | visitArray (VLXArrayInteger *)
virtual void | visitArray (VLXArrayReal *)
EError | error () const
void | setError (EError err)

## Detailed Description

Substitutes IDs into VLXStructures using the provided link map.

Definition at line 41 of file VLXVisitorLinker.hpp.

## Member Enumeration Documentation

enum vl::VLXVisitorLinker::EError

Enumerator:

  NoError |
  UnresolvedID |

Definition at line 46 of file VLXVisitorLinker.hpp.

## Constructor & Destructor Documentation

vl::VLXVisitorLinker::VLXVisitorLinker | ( | const std::map< std::string, ref< VLXStructure > > * | map = `NULL` ) | `[inline]`

Definition at line 53 of file VLXVisitorLinker.hpp.

References NoError.

## Member Function Documentation

void vl::VLXVisitorLinker::setLinkMap | ( | const std::map< std::string, ref< VLXStructure > > * | map ) | `[inline]`

Definition at line 59 of file VLXVisitorLinker.hpp.

VLXStructure* vl::VLXVisitorLinker::link | ( | const std::string & | uid ) | `[inline]`

Definition at line 64 of file VLXVisitorLinker.hpp.

References error(), NULL, UnresolvedID, and VL_CHECK.

Referenced by visitList(), and visitStructure().

virtual void vl::VLXVisitorLinker::visitStructure | ( | VLXStructure * | obj ) | `[inline, virtual]`

Reimplemented from vl::VLXVisitor.

Definition at line 88 of file VLXVisitorLinker.hpp.

References vl::VLXValue::ID, vl::VLXVisitor::isVisited(), link(), vl::VLXValue::List, vl::VLXValue::Structure, and vl::VLXStructure::value().

virtual void vl::VLXVisitorLinker::visitList | ( | VLXList * | list ) | `[inline, virtual]`

Reimplemented from vl::VLXVisitor.

Definition at line 115 of file VLXVisitorLinker.hpp.

References vl::VLXValue::ID, vl::VLXVisitor::isVisited(), link(), vl::VLXValue::List, vl::VLXValue::Structure, vl::VLXList::value(), and vl::Log::warning().

virtual void vl::VLXVisitorLinker::visitArray | ( | VLXArrayInteger * | ) | `[inline, virtual]`

Reimplemented from vl::VLXVisitor.

Definition at line 158 of file VLXVisitorLinker.hpp.

virtual void vl::VLXVisitorLinker::visitArray | ( | VLXArrayReal * | ) | `[inline, virtual]`

Reimplemented from vl::VLXVisitor.

Definition at line 160 of file VLXVisitorLinker.hpp.

EError vl::VLXVisitorLinker::error | ( | ) | const`[inline]`

Definition at line 162 of file VLXVisitorLinker.hpp.

Referenced by link(), and vl::VLXLinker::link().

void vl::VLXVisitorLinker::setError | ( | EError | err ) | `[inline]`

Definition at line 164 of file VLXVisitorLinker.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLXVisitorLinker.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:19.
Permission is granted to use this page to write and publish articles regarding Visualization Library.